Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class NodeDef

    java.lang.Object
      com.sun.mdm.index.parser.NodeDef

public class NodeDef
extends java.lang.Object

Constructor Summary
`NodeDef()`

Method Summary
`java.util.ArrayList` | `createFieldDefs()`
`java.util.ArrayList` | `createFieldKeys()`
`java.util.ArrayList` | `createFieldNames()`
`java.util.ArrayList` | `createFieldNullables()`
`java.util.ArrayList` | `createFieldTypes()`
`java.util.ArrayList` | `createFieldTypeSizes()`
`java.util.ArrayList` | `getChildren()`
`java.util.ArrayList` | `getFieldNames()`
`java.util.ArrayList` | `getFields()`
`NodeDef` | `getParent()`
`java.lang.String` | `getTag()`
`void` | `parse(org.w3c.dom.Node node)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeDef

    public NodeDef()

Method Detail

### createFieldDefs

    public java.util.ArrayList createFieldDefs()

  Returns:
    ArrayList list

### createFieldKeys

    public java.util.ArrayList createFieldKeys()

  Returns:
    ArrayList list

### createFieldNames

    public java.util.ArrayList createFieldNames()

  Returns:
    ArrayList list

### createFieldNullables

    public java.util.ArrayList createFieldNullables()

  Returns:
    ArrayList list

### createFieldTypes

    public java.util.ArrayList createFieldTypes()

  Returns:
    ArrayList list

### createFieldTypeSizes

    public java.util.ArrayList createFieldTypeSizes()

  Returns:
    ArrayList list

### getChildren

    public java.util.ArrayList getChildren()

  Returns:
    ArrayList list

### getFieldNames

    public java.util.ArrayList getFieldNames()

  Returns:
    ArrayList list

### getFields

    public java.util.ArrayList getFields()

  Returns:
    ArrayList list

### getParent

    public NodeDef getParent()

  Returns:
    NodeDef node definition

### getTag

    public java.lang.String getTag()

  Returns:
    String string

### parse

    public void parse(org.w3c.dom.Node node)

  Parameters:
    `node` - node

### toString

    public java.lang.String toString()

  Returns:
    String string

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.